cURL
curl --request GET \
--url https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/satellite/orders \
--header 'Content-Type: <content-type>' \
--header 'access_token: <access_token>' \
--header 'client_id: <client_id>'import requests
url = "https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/satellite/orders"
headers = {
"Content-Type": "<content-type>",
"client_id": "<client_id>",
"access_token": "<access_token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Content-Type': '<content-type>',
client_id: '<client_id>',
access_token: '<access_token>'
}
};
fetch('https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/satellite/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 43,
"idRMS": 86695,
"name": "Teste Moreira",
"customer": {
"id": 47926,
"name": "Broker 1"
},
"cnpj": "string",
"virtualContract": {
"id": 45496,
"description": "Contrato Flat",
"franchise": 1024,
"sharingType": 1,
"externalId": "string"
},
"createdAt": "2025-05-05T00:00:00",
"status": "ACTIVE",
"value": "1",
"activationPrice": "1.5",
"createdBy": "carla.amaral.novo",
"kilobyteExcPrice": "0.25",
"loyaltyType": 2,
"loyaltyTime": 12,
"penalty": "string",
"tradeInMonths": 12,
"preActivationExemptTraffic": 12,
"activationDate": "2025-05-05T00:00:00",
"nbPreActivationDays": 1,
"chargeActivationFeeOnTransfer": true,
"accountNotCharged": false,
"franchise": 1024,
"parentIdMOT": 31556,
"parentIdAccount": 0,
"parentIdCustomer": 10000,
"processLog": "string"
}"No Content"{
"errors": "Parameter not found"
}{
"valueInBytes": 1235
}{
"errors": "O acesso ao recurso foi negado."
}{
"errors": "URI de API/Recurso inexistente para processamento."
}{
"errors": "Parameter not found"
}Satellital
Lista pedidos satelital com filtros opcionais
Requisição para listar pedidos satelital de acordo com filtros opcionais
GET
/
satellite
/
orders
cURL
Headers
Define o formato da requisição.
🔹 Valor padrão:
application/json
📌 Dica: Copie e cole esse valor no campo Content-Type.
Example:
"application/json"
Id do cliente
Example:
"client_id"
Token gerado.
Example:
"access_token"
Query Parameters
Example:
"name"
Example:
"customerId"
Example:
"contractId"
Example:
"false"
Número da página para paginação.
Example:
0
Tamanho da página para paginação.
Example:
24
Response
OK

